Ipmidetect(8)

."############################################################################# ."$Id: ipmidetect.8.in,v 1.1.10.1 2007/07/17 15:57:33 chu11 Exp $ ."############################################################################# ." Copyright (C) 2007 The Regents of the University of California. ." Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). ." Written by Albert Chu <chu11@llnl.gov> ." UCRL-CODE-228523 ." ." This file is part of Ipmidetect, tools and libraries for detecting ." IPMI nodes in a cluster. For details, see http://www.llnl.gov/linux/. ." ." Ipmidetect is free software; you can redistribute it and/or modify it under ." the terms of the GNU General Public License as published by the Free ." Software Foundation; either version 2 of the License, or (at your option) ." any later version. ." ." Ipmidetect is distributed in the hope that it will be useful, but WITHOUT ." ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or ." FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ." for more details. ." ." You should have received a copy of the GNU General Public License along ." with Ipmidetect; if not, write to the Free Software Foundation, Inc., ." 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. ."############################################################################

NAME
ipmidetect - list detected and/or undetected IPMI interfaces in a cluster

SYNOPSIS
ipmidetect [OPTION]... [NODES]...

DESCRIPTION
ipmidetect lists which IPMI nodes have been detected or undetected in a cluster. This information is provided by the libipmidetect(3) library and ipmidetectd(8) daemon. ipmidetect will output the status of each IPMI node configured with ipmidetectd(8) unless they are specified on the command line. If the first node listed is "-", nodes will be read in from standard input. The nodes can be listed in hostrange format, comma separated lists, or space separated lists. See the section below on HOST RANGES for instructions on how to list hosts in hostrange format. The hostnames listed must be the shortened names of hostnames.

OPTIONS

-h, --help
    Print help and exit

-v, --version
    Print version and exit

-o STRING, --hostname=STRING
    server hostname (default=localhost)

-p INT, --port=INT
    server port (default=8649)

-d, --detected
    List only detected nodes

-u, --undetected
    List only undetected nodes

-q, --hostrange
    List nodes in hostrange format (default)

-c, --comma
    List nodes in comma separated list

-n, --newline
    List nodes in newline separated list

-s, --space
    List nodes in space separated list

HOST RANGES
As noted in sections above, ipmidetect accepts ranges of hostnames in the general form: prefix[n-m,l-k,...], where n < m and l < k, etc., as an alternative to explicit lists of hosts. This form should not be confused with regular expression character classes (also denoted by ``[]''). For example, foo[19] does not represent foo1 or foo9, but rather represents a degenerate range: foo19. This range syntax is meant only as a convenience on clusters with a prefixNN naming convention and specification of ranges should not be considered necessary -- the list foo1,foo9 could be specified as such, or by the range foo[1,9]. Some examples of range usage follow: List all nodes among foo01,foo02,...,foo05 that are detected/undetected
    ipmidetect foo[01-05] List all nodes among foo7,foo9,foo10 that are detected/undetected
    ipmidetect foo[7,9-10] As a reminder to the reader, some shells will interpret brackets ('[' and ']') for pattern matching. Depending on your shell, it may be necessary to enclose ranged lists within quotes. For example, in tcsh, the above two examples should be executed as:
    ipmidetect "foo[01-05]"
    ipmidetect "foo[7,9-10]"

FILES
/usr/bin/ipmidetect

SEE ALSO
libipmidetect(3), ipmidetect.conf(5), ipmidetectd(8)

ORIGIN
Developed by Albert Chu <chu11@llnl.gov> on LLNL's Linux clusters. This software is open source and distributed under the terms of the Gnu GPL.